#include "wu_head.h"

struct wu_net * wipe_wu_net (struct wu_net * in) {
  if (in == NULL) return NULL;
  wipe_netlist (in->nets);
  wipe_routerlist (in->routers);
  wipe_iplist (in->reps);
  wipe_wu_net (in->next);

  return (NULL);
}  

struct wu_reply * wipe_reply ( struct wu_reply * in) { 
  free (in);
  return NULL;
}

struct iplist * wipe_iplist (struct iplist * in) {
  if (in == NULL) return NULL;
  wipe_iplist (in->next);
  free (in);
  return (NULL);
}

struct netlist * wipe_netlist (struct netlist * in) {
  if (in == NULL) return NULL;
  wipe_netlist (in->next);
  free (in);
  return (NULL);
}

struct routerlist * wipe_routerlist (struct routerlist * in) {
  if (in == NULL) return NULL;
  wipe_reply (in->reply);
  wipe_routerlist (in->next);
  free (in);
  return (NULL);
}


WU_NODE * free_only_nodes ( WU_NODE * in) { 
				/* wipe all nodes and structures */
  if (in == NULL) return NULL;

  free_only_nodes (in->left);
  free_only_nodes (in->right);

  free (in);
  return NULL;
}

/* WU_NODE * wipe_wu_nodes ( WU_NODE * in) {  */
/* 				/* wipe all nodes and structures */ 
/*   if (in == NULL) return NULL; */

/*   wipe_wu_nodes (in->left); */
/*   wipe_wu_nodes (in->right); */
  
/*   wipe_reply (in->color); */
/*   wipe_iplist (in->reps); */
/*   free (in); */
/*   return NULL; */
/* } */
