#include "wu_head.h"


struct wu_net * re_aggregate ( struct wu_net * in ) {
  WU_NODE * tree = NULL;

  struct netlist * ptr;
  struct wu_net * mainptr;
  struct netlist * newlist;

  mainptr = in;
  while (mainptr != NULL) {

    ptr = mainptr->nets;
    while (ptr != NULL) {
/*       wu_error (DEBUG, "doing wu_insert2 on %s/%d", */
/* 		libnet_host_lookup ((*controls)->base_host, 0), */
/* 		(*controls)->base_mask); */
				    
      tree = wu_insert2 (
		     	  ntohl (ptr->host),
			  ntohl (ptr->host) + int_to_maskbits (ptr->mask),
			  ntohl (CNTRL.base_host),	
			  ntohl (CNTRL.base_host) +
			  int_to_maskbits (CNTRL.base_mask),    
			  tree );
      ptr=ptr->next;
    }

    tree = amalgamate2 (tree);

    newlist = new_netlist_from_tree (tree);

    tree = free_only_nodes (tree);

    wipe_netlist (mainptr->nets);

    mainptr->nets = newlist;

    mainptr=mainptr->next;
  }

  return in;
}
