#include "wu_head.h"



#define MODE CNTRL.mode
#define UPUSH 0x1
#define UPOP 0x2

void _wu_change_scan ( char p) {
#define UPDATE p==UPUSH
#define DOWNDATE p==UPOP

  if (CNTRL.mode & WU_NOTRACE) {
    CNTRL.targets = _free_and_reset_to_hash (CNTRL.targets);
  }

  if (UPDATE)
    CNTRL.current_ttl++;
  if (DOWNDATE)
    CNTRL.current_ttl--;

  if (MODE & WU_SPLIT_MODE) {
    if (UPDATE) {
      if (CNTRL.subnet_resolution_mask < WU_IPVX_MAXSIZE) {
	CNTRL.subnet_resolution_mask++; }
      else  {
	CNTRL._subnet_extra_depth++; } }
    if (DOWNDATE) {
      if (CNTRL._subnet_extra_depth > 0) {
	CNTRL._subnet_extra_depth--; }
      else {
	CNTRL.subnet_resolution_mask--; } }
  }
  else {
    wu_error (BUG, "programmer put some unsupoorted mode for update...");
  }
}

void wu_update_scan () {
  _wu_change_scan ( UPUSH);
}


void wu_downdate_scan () {
  _wu_change_scan ( UPOP);
}


